/* eslint-disable import/prefer-default-export */
import Vue from "vue";
import Router from "vue-router";

import Home from "../components/shared/home.vue";

import Registration from "../components/accounts/register.vue";
import Login from "../components/accounts/login.vue";
import RegisterRestaurant from "../components/accounts/restaurantRegistration.vue";
import RegistrationPage from "../components/accounts/registrationPage.vue";
import RestaurantCategory from "../components/restaurants/restaurantCategories.vue"

Vue.use(Router);

export default new Router({
  // eslint-disable-next-line no-unused-vars
  scrollBehavior(to, from, savedPosition) {
    return {
      x: 0,
      y: 0
    };
  },
  routes: [{
      path: "/",
      name: "Home",
      component: Home
    },
    {
      path: "/Registration",
      name: "Registration",
      component: Registration
    },
    {
      path: "/Login",
      name: "Login",
      component: Login
    },
    {
      path: "/RegisterRestaurant",
      name: "RegisterRestaurant",
      component: RegisterRestaurant
    },
    {
      path: "/RegistrationPage",
      name: "RegistrationPage",
      component: RegistrationPage
    },
    {
      path: "/RestaurantCategory",
      name: "RestaurantCategory",
      component: RestaurantCategory
    }
  ]
});
