import Vue from 'vue';
import Vuex from 'vuex';

import Registration from './modules/accounts/registration';
import Authentication from './modules/accounts/authentication';
import RestaurantSearch from './modules/restaurants/restaurantSearch';
import RestaurantCategories from './modules/restaurants/restaurantCategories';

Vue.use(Vuex);
/* eslint no-param-reassign: ["error", { "props": false }] */
export default new Vuex.Store({
  modules: {

    registration: Registration,
    authentiaction: Authentication,
    restaurantSearch: RestaurantSearch,
    restaurantCategories: RestaurantCategories
  },
});
